{ unit shownew.pas }
unit Shownew;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, Buttons, ExtCtrls, Grids, DBGrids, DB,
  DBTables, TableEnh;

type
  TViewNew = class(TForm)
    Label1: TLabel;
    Panel1: TPanel;
    BitBtn1: TBitBtn;
    DataSource1: TDataSource;
    DBGrid1: TDBGrid;
    DeleteCopy: TCheckBox;
    CountLabel: TLabel;
    TableEnhanced1: TTableEnhanced;
    procedure DataSource1DataChange(Sender: TObject; Field: TField);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  ViewNew: TViewNew;

implementation

{$R *.DFM}

{ METHOD: DataSource1DataChange
  PURPOSE: When the data changes, update the record count.
}
procedure TViewNew.DataSource1DataChange(Sender: TObject; Field: TField);
begin
  { Display the record count of the copied table }
  CountLabel.Caption := Format('Record count = %d',
                               [TableEnhanced1.RecordCount]);
end;

end.
